# QGraphicsLayoutItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QGraphicsLayoutItem(QGraphicsLayoutItem parent, bool isLayout)

### Constructor Properties

- prototype: The QGraphicsLayoutItem prototype object

### Prototype Object Properties

- QRectF contentsRect()
- QSizeF effectiveSizeHint(SizeHint which, QSizeF constraint)
- QRectF geometry()
- void getContentsMargins(qreal left, qreal top, qreal right, qreal bottom)
- QGraphicsItem graphicsItem()
- bool isLayout()
- qreal maximumHeight()
- QSizeF maximumSize()
- qreal maximumWidth()
- qreal minimumHeight()
- QSizeF minimumSize()
- qreal minimumWidth()
- bool ownedByLayout()
- QGraphicsLayoutItem parentLayoutItem()
- qreal preferredHeight()
- QSizeF preferredSize()
- qreal preferredWidth()
- void setGeometry(QRectF rect)
- void setMaximumHeight(qreal height)
- void setMaximumSize(QSizeF size)
- void setMaximumWidth(qreal width)
- void setMinimumHeight(qreal height)
- void setMinimumSize(QSizeF size)
- void setMinimumWidth(qreal width)
- void setParentLayoutItem(QGraphicsLayoutItem parent)
- void setPreferredHeight(qreal height)
- void setPreferredSize(QSizeF size)
- void setPreferredWidth(qreal width)
- void setSizePolicy(Policy hPolicy, Policy vPolicy, ControlType controlType)
- QSizePolicy sizePolicy()
- void updateGeometry()

### Instance Properties

QGraphicsLayoutItem objects have no special properties beyond those inherited from the QGraphicsLayoutItem prototype object.